Subject: bug#8463: 24.0.50; [PATCH] Direct Edit in *Occur* Buffer

From: Stefan Monnier <[email-masked]>
Date: Fri, 10 Jun 2011 10:59:16 -0300

>> I think maybe we should assign C-c C-c to occur-edit-mode instead.

I don't like that: C-c C-c means "done" usually so it'd be OK to leave
edit mode, but not to enter it.

> Or "e" (for edit; like in Rmail).

That sounds good.

>> 1. After C-x C-q, I can no longer kill entire lines in the occur buffer.
>> Trying to do so reports "Text is read-only".
>> The text properties are now added when entering occur-edit-mode.
> I don't understand if that means it's fixed. Deleting whole or even
> multiple lines is an operation I might want to do in occur-edit-mode.

But its meaning is unclear and we get to choose what is allowed and what
is not in edit mode since it's a new mode that the user
requested explicitly.

        Stefan